org.eclipse.actf.model.dom.dombycom

## Interface INodeEx

All Superinterfaces:
  IEvalTarget, Node

All Known Subinterfaces:
  IElementEx, IFlashMSAANode, IFlashNode, IImageElement, ISelectElement

    public interface INodeEx
    extends Node, IEvalTarget

The INodeEx interface defines the methods to be implemented by the node objects that are used in the application. These methods are basic functions for alternative interface.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`AnalyzedResult` `analyze(AnalyzedResult ar)`
`boolean` `doClick()` The click operation for the element will be simulated.
`String` `extractString()`
`char` `getAccessKey()`
`short` `getHeadingLevel()`
`String` `getLinkURI()`
`Rectangle` `getLocation()`
`int` `getNth()` This maybe a heavy task.
`String[]` `getStillPictureData()`
`String` `getText()`
`boolean` `highlight()` Highlight the node.
`boolean` `setFocus()` Set the Focus to the node.
`void` `setText(String text)` Set the text to the node.
`boolean` `unhighlight()` Unhighlight the node.

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Method Detail

#### extractString

    String extractString()

Returns:
  the text representation of the node.

#### getHeadingLevel

    short getHeadingLevel()

Returns:
  the heading level of the node. If the node is not heading then "0" will be returned.

#### getLinkURI

    String getLinkURI()

Returns:
  the link URI if the node is a link.

#### getAccessKey

    char getAccessKey()

Returns:
  the access key of the node.

#### getNth

    int getNth()

This maybe a heavy task.

Returns:
  the nth position of the node in the siblings.

#### doClick

    boolean doClick()

The click operation for the element will be simulated.

Returns:
  whether the click is succeeded or not.

#### highlight

    boolean highlight()

Highlight the node.

Returns:
  whether the highlight is succeeded or not

#### unhighlight

    boolean unhighlight()

Unhighlight the node.

Returns:
  whether the unhighlight is succeeded or not

#### setFocus

    boolean setFocus()

Set the Focus to the node.

Returns:
  whether the focusing is succeeded or not.

#### setText

    void setText(String text)

Set the text to the node.

Parameters:
  `text` - the text to be set.

#### getText

    String getText()

Returns:
  the text of the form element. It is NOT the text representation of the node.

#### getStillPictureData

    String[] getStillPictureData()

Returns:
  the string array of the information about the image. The array length is 3. Index 0 is the MIMETYPE of the image, Index 1 is the src attribute of the image, Index 2 is an empty string.

#### analyze

    AnalyzedResult analyze(AnalyzedResult ar)

Parameters:
  `ar` - the instance of the AnalyzedResult for store the nodes.
Returns:
  it is the same as ar

#### getLocation

    Rectangle getLocation()

Returns:
  the location of the node on the client window.